#include <stdio.h>

int main() {
    int N;
    scanf("%d",&N);

    char Str[8];
    int n=666, cnt=0;
    
    while(1) {
        sprintf(Str,"%d", n);
        for(int i=0; Str[i+2]!='\0'; i++) {
            if(Str[i]=='6' && Str[i+1]=='6' && Str[i+2]=='6') {
                cnt++;
                if(cnt==N) {
                    printf("%s\n",Str);
                    return 0;
                }
                break;
            }
        }
        n++;
    }

    return 0;
}